using Decimation.Lib.Util;
using Terraria;

namespace Decimation.Lib.Items
{
    public abstract class DecimationTreasureBag : DecimationItem
    {
        protected sealed override string ItemName => "Treasure Bag";
        protected sealed override string ItemTooltip => "{$CommonItemTooltip.RightClickToOpen}";

        public abstract override int BossBagNPC { get; }

        protected sealed override void Init()
        {
            item.consumable = true;
            item.width = 32;
            item.height = 32;
            item.rare = Rarity.Rainbow.GetRarityValue();
            item.expert = true;
            item.maxStack = 999;
        }

        public sealed override bool CanRightClick()
        {
            return true;
        }

        public abstract override void OpenBossBag(Player player);
    }
}